OpenFMB DataModel - OpenFMBIssues #7135

2.2 Data Model Development
02/24/2025 12:13 PM - Owen Wu

Status: Closed Start date: 02/10/2025

Priority: High Due date:

Assignee: Owen Wu % Done: 0%

Category:

Target version:

Final Decision: Version: 2.2

Closed Reason: --Not Set--- Needs More No
Information:

Breaking Change:

Description

1 ( Done -Owen)Data model development and schema verification: Requirement analysis and gathering, referencing existing
standards, updating and refining UML

2 ( Done -Owen)Generate Protobuf files from the data model: Validate the data model by generating Protobuf files using the
appropriate plugins (e.g., EA OpenFMB Protobuf Exporter).

3 (Done -CoryN)Generate code from Protobuf files: Generate language-specific bindings (e.g., C++, Rust, Python, Java, C#) to
validate data model compatibility.

4 ( Done -CoryN)Conduct testing with physical devices and gateways: Test the data model integration with physical devices,
gateways, adapters, and test harnesses.

5 ( Done -Owen)Collect feedback and refine the data model: Incorporate feedback from testing into the data model, addressing
bugs, gaps, or inconsistencies.

Proposed Solution
https://3.basecamp.com/3682944/buckets/25710811/uploads/4562065758

Related issues:

Related to OpenFMB DataModel - OpenFMBIssues #7136: 2.2 Data Model Pre-release Accepted 02/24/2025
Related to OpenFMB DataModel - OpenFMBIssues #7138: 2.2 Data Model Ready to R... Accepted 02/24/2025
Related to OpenFMB General - OpenFMBIssues #7110: Preparation for the 2.2 rel... Closed 01/22/2025
History

#1 - 02/24/2025 12:13 PM - Owen Wu

- Assignee set to Owen Wu

#2 - 02/24/2025 12:13 PM - Owen Wu

- Status changed from New to Triage

#3 - 02/24/2025 12:13 PM - Owen Wu

- Status changed from Triage to Accepted

#4 - 02/24/2025 12:13 PM - Owen Wu

- Status changed from Accepted to In Progress

#5 - 02/24/2025 12:17 PM - Owen Wu
- Related to OpenFMBissues #7136: 2.2 Data Model Pre-release added

#6 - 02/24/2025 12:25 PM - Owen Wu
- Related to OpenFMBissues #7138: 2.2 Data Model Ready to Release added

#7 - 02/24/2025 12:26 PM - Owen Wu

- Version setto 2.2

#8 - 02/24/2025 12:46 PM - Owen Wu
https://3.basecamp.com/3682944/buckets/25710811/uploads/4562065758

- Related to OpenFMBissues #7110: Preparation for the 2.2 release in Distributech added

#9 - 03/05/2025 02:17 PM - Owen Wu

- Status changed from In Progress to Closed
